/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.crop.model;

import org.openide.filesystems.FileObject;

/**
 * Manager interface for managing crop serialized objects.
 * Implement this interface to load and save Crop objects
 * Register as follows
 * 
 * @ServiceProvider(service = CropManager.class)
 * 
 * @author Merijn Zengers
 */
public interface CropManager {
    
    /**
     * Load a Crop from a file object
     *
     * @param fileObject
     * @return
     */
    CropsStorage load(FileObject fileObject);

    /**
     * Save a crop
     * @param Crop the crop to be saved
     * @param fileObject the fileObject which represents the file to which the crop has to be saved
     */
    void save(CropsStorage crops, FileObject fileObject);
    
    
}
