/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.crop.model.event;

import nl.cloudfarming.eventbus.BaseGuiEventProducer;
import nl.cloudfarming.eventbus.GuiEventKey;
import nl.cloudfarming.eventbus.GuiEventProducer;

/**
 * Different events that can occur in the CropProvider
 * @author Merijn Zengers
 */
public enum CropProviderEventKey implements GuiEventKey{
    /**
     * A CropProvider has updated
     */
    UPDATED;  
    
    @Override
    public String getKey() {
        return toString();
    }
    
    /**
     * Static method to get a producer for this kind of events.
     * 
     * @return 
     */
    public static GuiEventProducer getProducer(){
        return new CropProviderEventProducer();
    }

    /**
     * The producer for this kind of events
     */
    public static class CropProviderEventProducer extends BaseGuiEventProducer {

        public CropProviderEventProducer() {
            super(CropProviderEventKey.class);
        }
    }    
}
